Page MenuHomePhabricator

ContentTranslation interlanguage link entry points appear in red instead of gray in non-Vector skins
Closed, ResolvedPublic

Description

User(s) at nowiki is still asking for some way to limit linkage to content translation. The previous complaint is at Wikipedia:Bazar: menu for content translation (its in Norwegian), and a newer question in the thread Wikipedia:Bazar: content translation bokmål ↔ nynorsk.

It is more complaints than proposals of better solutions, so it is not clear how to solve this. Still it seems like the people complaining are using older skins, and those are still using red links. (That is Modern and Monobook.) A change to gray links are proposed and being discussed.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterMake interlanguage link entry point gray in Monobook and Modern

Event Timeline

jeblad created this task.Sep 23 2015, 7:29 PM
jeblad raised the priority of this task from to Needs Triage.
jeblad updated the task description. (Show Details)
jeblad added a project: ContentTranslation.
jeblad added a subscriber: jeblad.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 23 2015, 7:29 PM
jeblad updated the task description. (Show Details)Sep 28 2015, 10:49 PM
jeblad set Security to None.

It is posted a solution to the red coloured links, and it seems to be a sufficient solution.

Odd, I see the links in the sidebar in gray color in Modern and Monobook skins. Could it be invalid? Maybe the user has custom CSS?

Amire80 changed the task status from Open to Stalled.Sep 29 2015, 5:24 PM
Amire80 triaged this task as Low priority.
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.
jeblad added a comment.Oct 1 2015, 7:12 PM

A fix is installed, diff for modern and diff for monobook.

Should those be part of the extension?

Amire80 changed the task status from Stalled to Open.Oct 1 2015, 7:14 PM
Amire80 claimed this task.

Change 242951 had a related patch set uploaded (by Amire80):
Make interlanguage link entry point gray in Monobook and Modern

https://gerrit.wikimedia.org/r/242951

Oh, thanks for the clarification. I submitted a patch.

Amire80 moved this task from Backlog to In Review on the LE-CX6-Sprint break board.Oct 1 2015, 7:34 PM

I confirm the links have always been red in monobook.

Change 242951 merged by jenkins-bot:
Make interlanguage link entry point gray in Monobook and Modern

https://gerrit.wikimedia.org/r/242951

After the fix, monobook shows liks in correct color

Amire80 renamed this task from Overload of links to ContentTranslation to ContentTranslation interlanguage link entry points appear in red instead of gray in non-Vector skins.Oct 8 2015, 4:37 PM
Amire80 closed this task as Resolved.Oct 8 2015, 6:40 PM

Verified in production.

Restricted Application added subscribers: Danmichaelo, jhsoby. · View Herald TranscriptJul 30 2019, 5:24 PM